<?php
/*
mailbox.lang
*************************************************************
This is the text for the mailbox screen for Catalan language.
Created by Cristian Llaras at 03/November/2000.
*************************************************************
*/

class MailboxLocaleLang extends HordeLocaleLang {

   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }

   function error ($current_mbox, $action) {
      global $lang;

      $action_text = $lang->$action;
      return "Bústia: $current_mbox: Error: El missatge $action_text ha fallat";
   }

   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;

      if ($plural) $messages = 'Missatges';
      else $messages = 'Missatge';

      $action_text = $lang->$action;
      return "Bústia: $current_mbox: $action_text $num $messages";
   }

   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;

      if ($plural) $messages = 'Missatges';
      else $messages = 'Missatge';

      $action_text = $lang->$action;
      return "Bústia: $current_mbox: $action_text $num $messages a $targetMbox";
   }

   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
   return "Pàgina $page de $page_count";
      } else {
         $len = strlen($page_count);
   return "pàgina <input type=\"text\" name=\"page\" value=\"$page\" size=$len> de $page_count";
      }
   }

   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
    return "0 Missatges";
       } elseif ($nummsgs == 1) {
    return "1 Missatge";
       } else {
    return "$begin - $end de $nummsgs Missatges";
       }
   }

}


$lang = new MailboxLocaleLang();
require('./locale/ca/openwin.lang');

$lang->delete_link = 'Eliminar';
$lang->undelete_link = 'Recuperar';
$lang->move_link = 'Moure';
$lang->copy_link = 'Copiar';
$lang->selected_mail = 'Correu seleccionat';

$lang->sort_by_label =  'Ordenat per';
$lang->date_label = 'Data';
$lang->from_label = 'De';
$lang->subject_label = 'Assumpte';
$lang->size_label = 'Mida';
$lang->to_label = 'Per';

$lang->select_all = 'Seleccionar tots';
$lang->select_none = 'Treure selecció';
$lang->hide_deleted = 'Ocultar esborrats';
$lang->show_deleted = 'Mostrar esborrats';
$lang->empty_trash = 'Buidar paperera';

$lang->no_subject = '[Sense assumpte]';
$lang->undisclosed_recipients = 'Destinatari desconegut';
$lang->mailbox = 'Bústia';

$lang->message = 'Missatge';
$lang->messages = 'Missatges';

$lang->deletion = 'Eliminar';
$lang->deleted = 'Eliminat';
$lang->undeletion = 'Recuperar';
$lang->undeleted = 'Recuperat';
$lang->move = 'Moure';
$lang->moved = 'Mogut';
$lang->copy = 'Copiar';
$lang->copied = 'Copiat';
$lang->expunge = 'Netejar';
$lang->expunged = 'Netejat';
$lang->hiding_deleted = 'Ocultant missatges esborrats';
$lang->showing_deleted = 'Mostrant missatges esborrats';
$lang->deleted_summary = 'missatge(s) esborrat(s) ocults del llistat';
$lang->empty_mailbox = 'No hi ha missatges a aquesta bústia.';
$lang->no_messages_selected = 'Abans heu de seleccionar almenys un missatge.';

$lang->reverse_sort = 'Ordre invers (de recent o més gran al més vell o més petit).';

$lang->refresh = 'Refrescar Bústia';
$lang->alert_really_delete = '¿Està segur que desitja eliminar PERMANENTEMENT els missatges esborrats?';
$lang->first_page = 'Primera pàgina';
$lang->prev_page = 'pàgina anterior';
$lang->next_page = 'pàgina següent';
$lang->last_page = 'última pàgina';
$lang->no_mailbox_selected = 'Primer heu de seleccionar una bústia de destí.';
?>
<?php
/*
mailbox.lang
*************************************************************
This is the text for the mailbox screen for Catalan language.
Created by Cristian Llaras at 03/November/2000.
*************************************************************
*/

class MailboxLocaleLang extends HordeLocaleLang {

   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }

   function error ($current_mbox, $action) {
      global $lang;

      $action_text = $lang->$action;
      return "Bústia: $current_mbox: Error: El missatge $action_text ha fallat";
   }

   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;

      if ($plural) $messages = 'Missatges';
      else $messages = 'Missatge';

      $action_text = $lang->$action;
      return "Bústia: $current_mbox: $action_text $num $messages";
   }

   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;

      if ($plural) $messages = 'Missatges';
      else $messages = 'Missatge';

      $action_text = $lang->$action;
      return "Bústia: $current_mbox: $action_text $num $messages a $targetMbox";
   }

   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
   return "Pàgina $page de $page_count";
      } else {
         $len = strlen($page_count);
   return "pàgina <input type=\"text\" name=\"page\" value=\"$page\" size=$len> de $page_count";
      }
   }

   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
    return "0 Missatges";
       } elseif ($nummsgs == 1) {
    return "1 Missatge";
       } else {
    return "$begin - $end de $nummsgs Missatges";
       }
   }

}


$lang = new MailboxLocaleLang();
require('./locale/ca/openwin.lang');

$lang->delete_link = 'Eliminar';
$lang->undelete_link = 'Recuperar';
$lang->move_link = 'Moure';
$lang->copy_link = 'Copiar';
$lang->selected_mail = 'Correu seleccionat';

$lang->sort_by_label =  'Ordenat per';
$lang->date_label = 'Data';
$lang->from_label = 'De';
$lang->subject_label = 'Assumpte';
$lang->size_label = 'Mida';
$lang->to_label = 'Per';

$lang->select_all = 'Seleccionar tots';
$lang->select_none = 'Treure selecció';
$lang->hide_deleted = 'Ocultar esborrats';
$lang->show_deleted = 'Mostrar esborrats';
$lang->empty_trash = 'Buidar paperera';

$lang->no_subject = '[Sense assumpte]';
$lang->undisclosed_recipients = 'Destinatari desconegut';
$lang->mailbox = 'Bústia';

$lang->message = 'Missatge';
$lang->messages = 'Missatges';

$lang->deletion = 'Eliminar';
$lang->deleted = 'Eliminat';
$lang->undeletion = 'Recuperar';
$lang->undeleted = 'Recuperat';
$lang->move = 'Moure';
$lang->moved = 'Mogut';
$lang->copy = 'Copiar';
$lang->copied = 'Copiat';
$lang->expunge = 'Netejar';
$lang->expunged = 'Netejat';
$lang->hiding_deleted = 'Ocultant missatges esborrats';
$lang->showing_deleted = 'Mostrant missatges esborrats';
$lang->deleted_summary = 'missatge(s) esborrat(s) ocults del llistat';
$lang->empty_mailbox = 'No hi ha missatges a aquesta bústia.';
$lang->no_messages_selected = 'Abans heu de seleccionar almenys un missatge.';

$lang->reverse_sort = 'Ordre invers (de recent o més gran al més vell o més petit).';

$lang->refresh = 'Refrescar Bústia';
$lang->alert_really_delete = '¿Està segur que desitja eliminar PERMANENTEMENT els missatges esborrats?';
$lang->first_page = 'Primera pàgina';
$lang->prev_page = 'pàgina anterior';
$lang->next_page = 'pàgina següent';
$lang->last_page = 'última pàgina';
$lang->no_mailbox_selected = 'Primer heu de seleccionar una bústia de destí.';
?>
